<ngx-alerts></ngx-alerts>
<div class="body">
  <div class="container">
    <div class="row justify-content-center align-items-center">
      <div class="col-md-12 col-md-offset-1 col-sm-12 col-sm-offset-1 form-box">
        <mat-card class="mat-elevation-z4" style="margin-top: 3%;">
          <div class="row" style="padding-left: 2%">
            <div class="col-10 col-md-10 col-lg-10 col-sm-10">
              <mat-card-title class="title">{{'requestRegistration.requestRegistration' | translate }}</mat-card-title>
            </div>
            <div class="nav-item col-2 col-md-2 col-lg-2 col-sm-2" ngbDropdown>
              <a class="nav-link position-relative" id="dropdownLang" ngbDropdownToggle>
                <img src="{{getFlagURL()}}" alt="English" class="langimg">
                <p class="d-none">Language</p>
              </a>
              <div ngbDropdownMenu aria-labelledby="dropdownLang" class="dropdownLang">
                <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('es')">
                  <img src="assets/img/flags/es.png" alt="Espa&ntilde;ol" class="langimg">
                  <span>Espa&ntilde;ol</span>
                </a>
                <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('en')">
                  <img src="assets/img/flags/us.png" alt="English" class="langimg">
                  <span>English</span>
                </a>
              </div>
            </div>
          </div>
          <hr>
          <mat-tab-group (selectedTabChange)="onTabChange($event)">
            <mat-tab label="{{'requestRegistration.accepted' | translate}}">
              <div class="table-container mat-elevation-z8">
                <!-- <mat-table #table [dataSource]="tableTest"> -->
                <mat-table #table [dataSource]="tableApproved">
                  <ng-container matColumnDef="social_reason">
                    <mat-header-cell *matHeaderCellDef>{{'userRegister.socialReason' | translate }}</mat-header-cell>
                    <mat-cell *matCellDef="let company"> {{company.social_reason }} </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="nit">
                    <mat-header-cell *matHeaderCellDef> NIT </mat-header-cell>
                    <mat-cell *matCellDef="let company"> {{ company.nit }} </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="email">
                    <mat-header-cell *matHeaderCellDef> Email </mat-header-cell>
                    <mat-cell *matCellDef="let company">{{ company.email}} </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="actions">
                    <mat-header-cell *matHeaderCellDef> {{'requestRegistration.actions' | translate}} </mat-header-cell>
                    <mat-cell *matCellDef="let company">
                      <div class="btn-group btn-group-toggle" data-toggle="buttons">
                        <label class="btn btn-info" matTooltipPosition="above" matTooltip="Edit">
                          <input type="radio" name="option1" id="option1" autocomplete="off"
                            (click)="openModal(modalEdit,company.id)">
                          <i class="fa fa-edit fa-inverse"></i>
                        </label>
                        <label class="btn btn-danger" matTooltipPosition="above" matTooltip="Delete">
                          <input type="radio" name="option1" id="option1" autocomplete="off"
                            (click)="openModal(modalDelete,company.id)">
                          <i class="fa fa-trash fa-inverse"></i>
                        </label>
                      </div>
                    </mat-cell>
                  </ng-container>
                  <mat-header-row *matHeaderRowDef="['social_reason','nit', 'email', 'actions']">
                  </mat-header-row>
                  <mat-row *matRowDef="let row; columns: ['social_reason','nit', 'email', 'actions']">
                  </mat-row>
                </mat-table>
              </div>
            </mat-tab>
            <mat-tab label="{{'requestRegistration.rejected' | translate}}">
              <div class="table-container mat-elevation-z8">
                <!-- <mat-table #table [dataSource]="tableTest"> -->
                <mat-table #table [dataSource]="tableRejected">
                  <ng-container matColumnDef="social_reason">
                    <mat-header-cell *matHeaderCellDef> {{'userRegister.socialReason' | translate}} </mat-header-cell>
                    <mat-cell *matCellDef="let company"> {{company.social_reason }} </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="nit">
                    <mat-header-cell *matHeaderCellDef> NIT </mat-header-cell>
                    <mat-cell *matCellDef="let company"> {{ company.nit }} </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="email">
                    <mat-header-cell *matHeaderCellDef> Email </mat-header-cell>
                    <mat-cell *matCellDef="let company">{{ company.email}} </mat-cell>
                  </ng-container>

                  <ng-container matColumnDef="actions">
                    <mat-header-cell *matHeaderCellDef> {{'requestRegistration.actions' | translate}} </mat-header-cell>
                    <mat-cell *matCellDef="let company">
                      <div class="btn-group btn-group-toggle" data-toggle="buttons">
                        <label class="btn btn-info" matTooltipPosition="above" matTooltip="Edit">
                          <input type="radio" name="option1" id="option1" autocomplete="off"
                            (click)="openModal(modalEdit,company.id)">
                          <i class="fa fa-edit fa-inverse"></i>
                        </label>
                        <label class="btn btn-danger" matTooltipPosition="above" matTooltip="Delete">
                          <input type="radio" name="option1" id="option1" autocomplete="off"
                            (click)="openModal(modalDelete,company.id)">
                          <i class="fa fa-trash fa-inverse"></i>
                        </label>
                      </div>
                    </mat-cell>
                  </ng-container>
                  <mat-header-row *matHeaderRowDef="['social_reason','nit', 'email', 'actions']">
                  </mat-header-row>
                  <mat-row *matRowDef="let row; columns: ['social_reason','nit', 'email', 'actions']">
                  </mat-row>
                </mat-table>
              </div>
            </mat-tab>
            <mat-tab label="{{'requestRegistration.awaiting' | translate}}">
              <div class="table-container mat-elevation-z8">
                <!-- <mat-table #table [dataSource]="tableTest"> -->
                <mat-table #table [dataSource]="tableAwaiting">
                  <ng-container matColumnDef="social_reason">
                    <mat-header-cell *matHeaderCellDef> {{'userRegister.socialReason' | translate}} </mat-header-cell>
                    <mat-cell *matCellDef="let company"> {{company.social_reason }} </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="nit">
                    <mat-header-cell *matHeaderCellDef> NIT </mat-header-cell>
                    <mat-cell *matCellDef="let company"> {{ company.nit }} </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="email">
                    <mat-header-cell *matHeaderCellDef> Email </mat-header-cell>
                    <mat-cell *matCellDef="let company">{{ company.email}} </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="actions">
                    <mat-header-cell *matHeaderCellDef> {{'requestRegistration.actions' | translate}}
                    </mat-header-cell>
                    <mat-cell *matCellDef="let company">
                      <button type="button" matTooltipPosition="above" matTooltip="Ver detalles" class="btn btn-info"
                        (click)="openModal(modalDetails,company.id)">{{'requestRegistration.details' | translate}}</button>
                    </mat-cell>
                  </ng-container>
                  <mat-header-row *matHeaderRowDef="['social_reason','nit', 'email', 'actions']">
                  </mat-header-row>
                  <mat-row *matRowDef="let row; columns: ['social_reason','nit', 'email', 'actions']">
                  </mat-row>
                </mat-table>
              </div>
            </mat-tab>
          </mat-tab-group>
        </mat-card>
      </div>
    </div>
  </div>
</div>


<!-- Modal Detalles -->
<ng-template #modalDetails let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title title">Detalles Del Solicitante</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row">
      <div class="col-6 col-md-12 col-sm-12">
        <div class="col-12 col-md-12 col-sm-12">
          <mat-list>
            <div class="row">
              <div class="col-4">
                <mat-list-item>{{'userRegister.socialReason' | translate}}</mat-list-item>
              </div>
              <mat-divider></mat-divider>
              <div class="col-8">
                <mat-list-item>{{currentCompany.social_reason}}
                </mat-list-item>
              </div>
            </div>
            <mat-divider></mat-divider>
            <div class="row">
              <div class="col-4">
                <mat-list-item>NIT</mat-list-item>
              </div>
              <div class="col-8">
                <mat-list-item>{{currentCompany.nit}}</mat-list-item>
              </div>
            </div>
            <mat-divider></mat-divider>
            <div class="row">
              <div class="col-4 ">
                <mat-list-item>Email</mat-list-item>
              </div>
              <div class="col-8">
                <mat-list-item>{{currentCompany.email}}</mat-list-item>
              </div>
            </div>
            <mat-divider></mat-divider>
          </mat-list>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-success"
        (click)="openModal(modalAccept,currentCompany.id);c('Close click')">Aceptar</button>
      <button type="button" class="btn btn-warning"
        (click)=" openModal(modalDenny,currentCompany.id); c('Close click')">Rechazar</button>
    </div>
  </div>
</ng-template>



<!-- MODAL DE CONFIRMACIÓN -->
<ng-template #modalAccept let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title title">Confirmación de Aceptación</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div>¿ Está seguro de que desea Aceptar la solicitud ?</div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-success"
      (click)="acceptRequest(); deleteRow(); c('Close click');">Aceptar</button>
    <button type="button" class="btn btn-warning" (click)="c('Close click');">Cancelar</button>
  </div>
</ng-template>


<!--Modal de denegación-->
<ng-template #modalDenny let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title title">Confirmación de Rechazo</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div>¿ Está seguro de que desea Rechazar la solicitud ?</div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-success"
      (click)=" rejectRequest(); deleteRow(); c('Close click');">Rechazar</button>
    <button type="button" class="btn btn-warning" (click)="c('Close click');">Cancelar</button>

  </div>
</ng-template>


<ng-template #modalDelete let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">Eliminar Compañia</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    ¿ Está seguro de que desea eliminar la compañia ?
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-danger"
      (click)="deleteCompany();c('Close click');">{{'buttons.delete' | translate}}</button>
    <button type="button" class="btn btn-warning" (click)="c('Close click')">{{'buttons.cancel' | translate}}</button>
  </div>
</ng-template>

<ng-template #modalEdit let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">Editar Compañia</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <mat-list>
      <div class="row">
        <div class="col-4">
          <mat-list-item>{{'userRegister.socialReason' | translate}}</mat-list-item>
        </div>
        <mat-divider></mat-divider>
        <div class="col-8">
          <mat-list-item>{{currentCompany.social_reason}}
          </mat-list-item>
        </div>
      </div>
      <mat-divider></mat-divider>
      <div class="row">
        <div class="col-4">
          <mat-list-item>NIT</mat-list-item>
        </div>
        <div class="col-8">
          <mat-list-item>{{currentCompany.nit}}</mat-list-item>
        </div>
      </div>
      <mat-divider></mat-divider>
      <div class="row">
        <div class="col-4 ">
          <mat-list-item>Email</mat-list-item>
        </div>
        <div class="col-8">
          <mat-list-item>{{currentCompany.email}}</mat-list-item>
        </div>
      </div>
      <mat-divider></mat-divider>
    </mat-list>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-success"
      (click)="editCompany();c('Close click');">{{'buttons.save' | translate}}</button>
    <button type="button" class="btn btn-warning" (click)="c('Close click')">{{'buttons.cancel' | translate}}</button>
  </div>
</ng-template>